summaryrefslogtreecommitdiff
path: root/scripts/no-ee-check
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/no-ee-check')
-rwxr-xr-xscripts/no-ee-check7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/no-ee-check b/scripts/no-ee-check
new file mode 100755
index 00000000000..29d319dc822
--- /dev/null
+++ b/scripts/no-ee-check
@@ -0,0 +1,7 @@
+#!/usr/bin/env ruby
+ee_path = File.join(File.expand_path(__dir__), '../ee')
+
+if Dir.exist?(ee_path)
+ puts 'The repository contains /ee directory. There should be no /ee directory in CE repo.'
+ exit 1
+end